Skip to main content
GET
/
events
/
search
cURL
curl --request GET \
  --url https://api.jup.ag/prediction/v1/events/search \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "eventId": "<string>",
      "isActive": true,
      "isLive": true,
      "category": "<string>",
      "subcategory": "<string>",
      "volumeUsd": "<string>",
      "closeCondition": "<string>",
      "beginAt": "<string>",
      "rulesPdf": "<string>",
      "tags": [
        "<string>"
      ],
      "metadata": {
        "eventId": "<string>",
        "title": "<string>",
        "subtitle": "<string>",
        "slug": "<string>",
        "series": "<string>",
        "closeTime": "<string>",
        "imageUrl": "<string>",
        "isLive": true
      },
      "markets": [
        {
          "marketId": "<string>",
          "openTime": 123,
          "closeTime": 123,
          "resolveAt": "<string>",
          "eventId": "<string>",
          "title": "<string>",
          "marketResultPubkey": "<string>",
          "imageUrl": "<string>",
          "rulesPrimary": "<string>",
          "rulesSecondary": "<string>",
          "outcomes": [
            "<string>"
          ],
          "marketOptions": [
            {
              "label": "<string>",
              "buyYes": true
            }
          ],
          "clobTokenIds": [
            "<string>"
          ],
          "isTeamMarket": true,
          "team": {},
          "sportsLine": 123,
          "sportsMarketType": "<string>",
          "pricing": {
            "buyYesPriceUsd": 123,
            "buyNoPriceUsd": 123,
            "sellYesPriceUsd": 123,
            "sellNoPriceUsd": 123,
            "volume": 123
          }
        }
      ],
      "volume24hr": "<string>",
      "liveScore": "<unknown>"
    }
  ],
  "pagination": {
    "start": 1,
    "end": 1,
    "total": 1,
    "hasNext": true
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

provider
enum<string>
default:polymarket

Data provider for events (defaults to polymarket)

Available options:
kalshi,
polymarket
query
string
required

Search term matched against event titles

Required string length: 1 - 200
limit
integer
Required range: 1 <= x <= 20

Response

200 - application/json

Events matching the search query

data
object[]
required
pagination
object